package com.example.pda.network

import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

object RetrofitWCS {
    // 私有常量 BASE_URL 定义了 API 的基础 URL
    private const val BASE_URL = "http://192.168.18.67:1616/"
    // val instance 通过 lazy 委托实现懒加载，创建 ApiService 的单例实例
    val instance: ApiWCS by lazy {
        Retrofit.Builder()
            .baseUrl(BASE_URL)
            .client(HttpClientWCS.instance)
            .addConverterFactory(GsonConverterFactory.create())
            .build()
            .create(ApiWCS::class.java)
    }
}

